Package Gnumed :: Package timelinelib :: Package calendar :: Package num :: Module time :: Class NumTime |
[frames] | no frames]

# Class NumTime

source code

               object --+
                        |
     time.ComparableValue --+
                            |
               object --+   |
                        |   |
    time.GenericTimeMixin --+
                            |
                           NumTime

Instance Methods
DeltaClass(self) | source code
__repr__(self) repr(x) | source code
__add__(self, other) | source code
__sub__(self, other) | source code
Inherited from `time.ComparableValue`: `__eq__`, `__ge__`, `__gt__`, `__init__`, `__le__`, `__lt__`, `__ne__` Inherited from `time.GenericTimeMixin`: `__radd__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `time.ComparableValue`: `value` Inherited from `object`: `__class__`

Method Details

### DeltaClass(self) | source code
Decorators: `@property`

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)